cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-services \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"services": [
{
"aws": {
"availability_zone_ids": [
"<string>"
],
"service_id": "<string>",
"service_name": "<string>"
},
"cloud_provider": "GCP",
"region_name": "<string>",
"status": "ENDPOINT_SERVICE_STATUS_CREATING"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Lists all PrivateEndpointServices for a given cluster
The internal_dns property from the regions field in the ListClusters response can be used to connect to PrivateEndpointServices.
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-services
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-services \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"services": [
{
"aws": {
"availability_zone_ids": [
"<string>"
],
"service_id": "<string>",
"service_name": "<string>"
},
"cloud_provider": "GCP",
"region_name": "<string>",
"status": "ENDPOINT_SERVICE_STATUS_CREATING"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
Response
A successful response.
services contains a list of all cluster related services.
Show child attributes
Show child attributes

